| Earth Observation Mission CFI Software Orbit Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.RefOrbitInfo Class Reference

Reference orbit information. More...

List of all members.

## Public Member Functions
| RefOrbitInfo ()
| Default constructor.
| RefOrbitInfo (long driftMod, double incl, long repCyc, long cycLen, double anxLon, double meanlst, double meanlstDrift, final MlstNonlinearDrift mlstNL)
| Constructor with parameters.
## Public Attributes
long | driftMode
| Non Sun-synchronous orbit characterization (see NoSunSychronousModeEnum).
double | inclination
| Orbit inclination [deg].
long | repCycle
| Repeat cycle [days].
long | cycleLength
| Cycle length [orbits].
double | AnxLong
| ANX longitude [deg].
double | mlst
| Mean Local Solar Time for the ANX [Hours].
double | mlstDrift
| Mean Local Solar Time Drift [s/day].
MlstNonlinearDrift | mlstNonlinearDrift
| Mean Local Solar Time non linear drift parameters.

## Detailed Description

Reference orbit information.

## Constructor & Destructor Documentation

EECFI.RefOrbitInfo.RefOrbitInfo | ( |  | ) |

Default constructor.

EECFI.RefOrbitInfo.RefOrbitInfo | ( | long | driftMod,
|  | double | incl,
|  | long | repCyc,
|  | long | cycLen,
|  | double | anxLon,
|  | double | meanlst,
|  | double | meanlstDrift,
|  | final MlstNonlinearDrift | mlstNL |
| ) |  |  |

Constructor with parameters.

## Member Data Documentation

double EECFI.RefOrbitInfo.AnxLong

ANX longitude [deg].

long EECFI.RefOrbitInfo.cycleLength

Cycle length [orbits].

long EECFI.RefOrbitInfo.driftMode

Non Sun-synchronous orbit characterization (see NoSunSychronousModeEnum).

double EECFI.RefOrbitInfo.inclination

Orbit inclination [deg].

double EECFI.RefOrbitInfo.mlst

Mean Local Solar Time for the ANX [Hours].

double EECFI.RefOrbitInfo.mlstDrift

Mean Local Solar Time Drift [s/day].

MlstNonlinearDrift EECFI.RefOrbitInfo.mlstNonlinearDrift

Mean Local Solar Time non linear drift parameters.

long EECFI.RefOrbitInfo.repCycle

Repeat cycle [days].